LOWDOWN_BUF_NEW(3)

NAME
lowdown_buf_new - allocate a dynamic buffer

LIBRARY
liblowdown

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <lowdown.h>
struct lowdown_buf *
lowdown_buf_new(size_t growsz);

DESCRIPTION
Allocates a dynamic buffer that grows in increments of size growsz, which may not be zero.

RETURN VALUES
Returns a pointer to a buffer or NULL on memory failure. The pointer must be freed with lowdown_buf_free(3).

SEE ALSO
lowdown(3)